//---------------------------------------------------------------------------
#ifndef ImgProcUH
#define ImgProcUH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
#include <FGwin.h>

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:   // IDE-managed Components
   TMainMenu *MainMenu;
   TMenuItem *File1;
   TMenuItem *Open;
   TMenuItem *SaveAs;
   TMenuItem *Details;
   TMenuItem *Exit;
   TMenuItem *Edit1;
   TMenuItem *Undo;
   TMenuItem *RestoreOriginal;
   TMenuItem *N1;
   TMenuItem *ContrastEnhancement;
   TMenuItem *GammaCorrection;
   TMenuItem *Grayscale;
   TMenuItem *PhotoInversion;
   TOpenDialog *OpenDialog;
   TSaveDialog *SaveDialog;
   void __fastcall FormActivate(TObject *Sender);
   void __fastcall FormCreate(TObject *Sender);
   void __fastcall FormPaint(TObject *Sender);
   void __fastcall FormResize(TObject *Sender);
   void __fastcall FormDestroy(TObject *Sender);
   void __fastcall OpenClick(TObject *Sender);
   void __fastcall SaveAsClick(TObject *Sender);
   void __fastcall DetailsClick(TObject *Sender);
   void __fastcall ExitClick(TObject *Sender);
   void __fastcall UndoClick(TObject *Sender);
   void __fastcall RestoreOriginalClick(TObject *Sender);
   void __fastcall ContrastEnhancementClick(TObject *Sender);
   void __fastcall GammaCorrectionClick(TObject *Sender);
   void __fastcall GrayscaleClick(TObject *Sender);
   void __fastcall PhotoInversionClick(TObject *Sender);
private:   // User declarations
   HDC hDC;
   HPALETTE hPal;
   int hVB, hVBoriginal, hVBundo;
   UINT cxClient, cyClient;
   int cxBuffer, cyBuffer;
   int nColors;
   byte FileHeader[128];
   char FileName[256];
   String mbString;
   void __fastcall SwitchBuffers(void);
public:      // User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
