/****************************************************************************\
*                                                                            *
*  TMcubeX.cpp                                                               *
*                                                                            *
*  This program is similar to the TMcube example, but it shows how to create *
*  a native, DirectDraw, or Direct3D program from the same source code.      *
*                                                                            *
\****************************************************************************/

// TMcubeX.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "TMcubeX.h"

#include "MainFrame.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTMcubeXApp

BEGIN_MESSAGE_MAP(CTMcubeXApp, CWinApp)
	//{{AFX_MSG_MAP(CTMcubeXApp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTMcubeXApp construction

CTMcubeXApp::CTMcubeXApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CTMcubeXApp object

CTMcubeXApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CTMcubeXApp initialization

BOOL CTMcubeXApp::InitInstance()
{
	// Standard initialization

	// Change the registry key under which our settings are stored.
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	m_pMainWnd = NULL;
	CMainFrame* pFrame = new CMainFrame;

	if (!pFrame->Create(NULL,"Texture-Mapped Cube"))
		return FALSE;

	m_pMainWnd = pFrame;
	pFrame->ShowWindow(m_nCmdShow);
	pFrame->UpdateWindow();

	return TRUE;
}

int CTMcubeXApp::Run()
{
	if (!m_pMainWnd)
		AfxPostQuitMessage(0);

	MSG msg;
	CMainFrame* pFrame = STATIC_DOWNCAST(CMainFrame, m_pMainWnd);

	while (TRUE)
	{
		//see if there is a message waiting
		if (::PeekMessage(&msg, NULL, 0, 0, PM_NOREMOVE))
		{
			do //if there is pump all waiting
			{
				if (!PumpMessage())
					return ExitInstance();
			} while (::PeekMessage(&msg, NULL, 0, 0, PM_NOREMOVE));
		}
		else
		{
			if (!pFrame->m_bAppIsActive)
				WaitMessage();
			else
				pFrame->CheckForMovement(FALSE);
		}
	}
	return msg.wParam;
}

/////////////////////////////////////////////////////////////////////////////
// CTMcubeXApp message handlers
